export class UserDetectedEvent {
    event = 'user detected';
    user;
    constructor(page, userData) {
        if (page && userData) {
            const emarsysID = page.getParamValue('ems-uid') || page.getParamValue('sc_uid') || undefined;
            this.user = {
                loggedIN: userData.ID ? true : false
            };
            if (userData.ID) {
                this.user.ID = userData.ID;
            }
            if (emarsysID) {
                this.user.emarsysID = emarsysID;
            }
            if (userData.productFinding) {
                this.user.productFinding = userData.productFinding;
            }
        }
        else {
            // find the existing user detected entry
            const existingUserDetectedEvent = window.adobeDataLayer.find(adobeDataLayerEntry => adobeDataLayerEntry.event === 'user detected');
            if (existingUserDetectedEvent) {
                this.user = { ...existingUserDetectedEvent.user };
            }
            else {
                this.user = { loggedIN: false };
            }
        }
    }
}
//# sourceMappingURL=index.js.map