/**
 * Returns the current user time in the format HH:MM|HH:00-HH:59|dayOfWeek|timezone
 */
export function getCurrentTime() {
    const date = new Date();
    const hours = date.getHours();
    const minutes = date.getMinutes();
    const dayOfWeek = date.getDay();
    const timezone = date.toTimeString().split(' ')[1];
    const weekday = ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'];
    return `${hours}:${minutes}|${hours}:00-${hours}:59|${weekday[dayOfWeek]}|${timezone}`;
}
/**
 * Returns the current GMT date in the format DD/MM/YYYY
 */
export function getCurrentDate() {
    const date = new Date();
    const day = date.getDate();
    const month = date.getMonth() + 1;
    const year = date.getFullYear();
    return `${day}/${month}/${year}`;
}
//# sourceMappingURL=utils.js.map